#include<bits/stdc++.h>
using namespace std;
ifstream f1("TSNT.INP");
ofstream f2("TSNT.OUT");
int main()
{
	int n, i;
    f1>>n;
    f2<<n<<"=";
    for (i = 2; i <= n; i++) {
        while(n % i == 0) 
		{
		if (n != i){
        f2<<i<<"*";
        n /= i;}
        else {f2<<i;n /= i;}
        }
    }
    f2<<endl<<i+i;
}
